import UserRouter from "../routers/UserRouter.ts";
import ImageRouter from "./ImageRouter.ts";
import AppRouter from "./AppRouter.ts";
import AppDatabase from "../AppDatabase.ts";
import { route } from "../server/decorators.ts";

export class APIRouter extends AppRouter {
    @route('users/*') users;
    @route('images/*') images;

    constructor(salt: string, db: AppDatabase) {
        super();

        this.users = new UserRouter(salt, db);
        this.images = new ImageRouter(db);
    }
}
