import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { PageHomeComponent } from './page-home/page-home.component';
import { PageLoginComponent } from './page-login/page-login.component';
import { PageSignupComponent } from './page-signup/page-signup.component';
import { PageUploadComponent } from './page-upload/page-upload.component';
import { PageUserComponent } from './page-user/page-user.component';
import { PageImageComponent } from './page-image/page-image.component';

const routes: Routes = [
    { path: '', component: PageHomeComponent },
    { path: 'login', component: PageLoginComponent },
    { path: 'signup', component: PageSignupComponent },
    { path: 'upload', component: PageUploadComponent },
    { path: 'user/:name', component: PageUserComponent },
    { path: 'image/:id', component: PageImageComponent },
];

@NgModule({
    imports: [RouterModule.forRoot(routes)],
    exports: [RouterModule]
})
export class AppRoutingModule { }
