import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';

import { AppRoutingModule } from './app-routing.module';
import { AppComponent } from './app.component';
import { PageHomeComponent } from './page-home/page-home.component';
import { HTTP_INTERCEPTORS, HttpClientModule } from '@angular/common/http';
import { PageLoginComponent } from './page-login/page-login.component';
import { ReactiveFormsModule } from '@angular/forms';
import { PageSignupComponent } from './page-signup/page-signup.component';
import { PageUploadComponent } from './page-upload/page-upload.component';
import { PageUserComponent } from './page-user/page-user.component';
import { ImagesComponent } from './images/images.component';
import { ImageComponent } from './image/image.component';
import { MessageComponent } from './message/message.component';
import { PageImageComponent } from './page-image/page-image.component';
import { SecurePipe } from './secure.pipe';
import { AuthorizerInterceptor } from './authorizer.interceptor';

@NgModule({
    declarations: [
        AppComponent,
        PageHomeComponent,
        PageLoginComponent,
        PageSignupComponent,
        PageUploadComponent,
        PageUserComponent,
        ImagesComponent,
        ImageComponent,
        MessageComponent,
        PageImageComponent,
        SecurePipe
    ],
    imports: [
        BrowserModule,
        AppRoutingModule,
        ReactiveFormsModule,
        HttpClientModule,
    ],
    providers: [
        { provide: HTTP_INTERCEPTORS, useClass: AuthorizerInterceptor, multi: true }
    ],
    bootstrap: [AppComponent]
})
export class AppModule { }
